Loading...
Searching...
No Matches
BALL::PoseClustering::PosePointer Class Reference

`#include <BALL/DOCKING/COMMON/poseClustering.h>`

## Public Member Functions

| PosePointer (RigidTransformation const *new_trafo, SnapShot const *new_snap=0)
| PosePointer (SnapShot const *new_snap)

## Public Attributes

RigidTransformation const * | trafo
SnapShot const * | snap

## Detailed Description

Data type for the poses. A pose can either be a rigid transformation (translation + rotation), or a SnapShot.

Definition at line 211 of file poseClustering.h.

## Constructor & Destructor Documentation

## PosePointer() [1/2]

BALL::PoseClustering::PosePointer::PosePointer | ( | RigidTransformation const * | new_trafo,
|  | SnapShot const * | new_snap = 0 )

inline

Definition at line 214 of file poseClustering.h.

## PosePointer() [2/2]

BALL::PoseClustering::PosePointer::PosePointer | ( | SnapShot const * | new_snap | ) |

inline

Definition at line 219 of file poseClustering.h.

## Member Data Documentation

## snap

SnapShot const* BALL::PoseClustering::PosePointer::snap

Definition at line 225 of file poseClustering.h.

## trafo

RigidTransformation const* BALL::PoseClustering::PosePointer::trafo

Definition at line 224 of file poseClustering.h.